### Name: Distribution class constructors
### Title: Constructors for distribution and mvdistribution class objects
### Aliases: mvdistribution distribution
### Keywords: distribution

### ** Examples

    # create a uniform distribution object and sample from it
    myUnif <- distribution("unif", min = -0.1, max = 0.1)
    hist(sampleFrom(myUnif, 1000))
    
    mvNormal <- mvdistribution("mnorm", mean = c(1, 5), varcov = diag(c(2, 0.1)))
    x <- sampleFrom(mvNormal, 1000)
    plot(x[,1] ~ x[,2])



