###################################################
### chunk number 1: 
###################################################
require(BLCOP)


###################################################
### chunk number 2: 
###################################################
pickMatrix <- matrix(c(rep(1/2, 2), -1,  rep(0, 3)), nrow = 1, ncol = 6 )
views <- BLViews(P = pickMatrix, q = 0.06,confidences =  100, 
assetNames = colnames(monthlyReturns))
views


###################################################
### chunk number 3: 
###################################################
priorMeans <- rep(0, 6)
priorVarcov <- unclass(cov.shrink(monthlyReturns))


###################################################
### chunk number 4: 
###################################################
marketPosterior <- posteriorEst(views = views, sigma = priorVarcov, 
 alpha = priorMeans, tau = 1/2)


###################################################
### chunk number 5: 
###################################################
finViews <- matrix(ncol = 3, nrow = 1, dimnames = list(NULL, c("C","JPM","BAC")))
finViews[,1:3] <- rep(1/3,3)
views <- addBLViews(finViews, 0.15, 90, views)
views


###################################################
### chunk number 6: 
###################################################
marketPosterior <- BLPosterior(as.matrix(monthlyReturns), views, tau = 1/2, 
	marketIndex = as.matrix(sp500Returns), 
	riskFree = as.matrix(US13wTB))


###################################################
### chunk number 7: 
###################################################
optPorts <- optimalPortfolios(marketPosterior, doPlot = TRUE)


###################################################
### chunk number 8: 
###################################################
constr <- list()
constr$bvec <- 1
constr$meq <- 1
constr$Amat <- matrix(rep(1, 6), ncol = 1, nrow = 6)
optimalPortfolios(marketPosterior, constraints = constr)


###################################################
### chunk number 9: 
###################################################
densityPlots(marketPosterior, assetsSel = "JPM")


###################################################
### chunk number 10: 
###################################################
dispersion <- c(.376,.253,.360,.333,.360,.600,.397,.396,.578,.775) / 1000
sigma <- BLCOP:::.symmetricMatrix(dispersion, dim = 4)
caps <- rep(1/4, 4)
mu <- 2.5 * sigma %*% caps
dim(mu) <- NULL
marketDistribution <- mvdistribution("mt", mean = mu, S = sigma, df = 5 )
class(marketDistribution)


###################################################
### chunk number 11: 
###################################################
pick <- matrix(0, ncol = 4, nrow = 1, 
	dimnames = list(NULL, c("SP", "FTSE", "CAC", "DAX")))
pick[1,"DAX"] <- 1
viewDist <- list(distribution("unif", min = -0.02, max = 0))
views <- COPViews(pick, viewDist = viewDist, confidences = 0.2, 
	assetNames = c("SP", "FTSE", "CAC", "DAX"))


###################################################
### chunk number 12: 
###################################################
newPick <- matrix(0, 1, 2)
dimnames(newPick) <- list(NULL, c("SP", "FTSE"))
newPick[1,] <- c(1, -1) # add a relative view
views <- addCOPViews(newPick, 
	list(distribution("norm", mean = 0.05, sd = 0.02)), 0.5, views)


###################################################
### chunk number 13: 
###################################################
marketPosterior <- COPPosterior(marketDistribution, views, numSimulations = 50000)
densityPlots(marketPosterior, assetsSel = 4)


